]> git.donarmstrong.com Git - lilypond.git/blobdiff - configure
release: 0.0.76
[lilypond.git] / configure
index ad504fd23df85b1ce6000e48527e8fd726e81102..25709197dc04dd2437be16c226a7be985696e3c2 100755 (executable)
--- a/configure
+++ b/configure
@@ -12,17 +12,23 @@ ac_help=
 ac_default_prefix=/usr/local
 # Any additions from configure.in:
 ac_help="$ac_help
-  enable-printing        set debug printing"
+  enable-printing         turn on debug printing"
 ac_help="$ac_help
-  disable-checking       set runtime checks"
+  disable-checking        set runtime checks (assert calls)"
 ac_help="$ac_help
-  disable-debug          set debug info"
+  disable-debugging       set debug info "
 ac_help="$ac_help
-  enable-optimise       use maximal speed optimisations"
+  enable-optimise         use maximal speed optimisations"
 ac_help="$ac_help
-  enable-profiling      compile with gprof support"
+  enable-profiling        compile with gprof support"
 ac_help="$ac_help
-  texprefix=DIR  set the tex-directory to put the lilypond subdir in."
+  mingw-prefix=DIR        set the mingw32 directory (standalone windows32 exes)"
+ac_help="$ac_help
+  tex-prefix=DIR          set the tex-directory to find TeX subdirectories. (default: PREFIX)"
+ac_help="$ac_help
+  tex-dir=DIR             set the directory to put LilyPond  TeX files in. "
+ac_help="$ac_help
+  mf-dir=DIR              set the directory to put LilyPond MetaFont files in."
 
 # Initialize some variables set by options.
 # The variables have the same names as the options, with
@@ -532,6 +538,13 @@ fi
 
 
 
+# if given here, these vars are initted at the checking point.
+printing_b=no
+checking_b=yes
+debug_b=yes
+optimise_b=no
+profile_b=no
+    
 ac_ext=C
 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -539,12 +552,7 @@ ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
 ac_link='${CXX-g++} -o conftest $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
 cross_compiling=$ac_cv_prog_cxx_cross
 
-printing_b=no
-checking_b=yes
-debug_b=yes
-optimise_b=no
-profile_b=no
-    
+
 # Check whether --enable-printing or --disable-printing was given.
 if test "${enable_printing+set}" = set; then
   enableval="$enable_printing"
@@ -560,11 +568,9 @@ if test "${enable_checking+set}" = set; then
 fi
 
 
-
-
-# Check whether --enable-debug or --disable-debug was given.
-if test "${enable_debug+set}" = set; then
-  enableval="$enable_debug"
+# Check whether --enable-debugging or --disable-debugging was given.
+if test "${enable_debugging+set}" = set; then
+  enableval="$enable_debugging"
   debug_b=$enableval
 fi
 
@@ -576,7 +582,6 @@ if test "${enable_optimise+set}" = set; then
 fi
 
     
-   
 # Check whether --enable-profiling or --disable-profiling was given.
 if test "${enable_profiling+set}" = set; then
   enableval="$enable_profiling"
@@ -584,15 +589,42 @@ if test "${enable_profiling+set}" = set; then
 fi
 
     
-# Check whether --enable-texprefix or --disable-texprefix was given.
-if test "${enable_texprefix+set}" = set; then
-  enableval="$enable_texprefix"
+# Check whether --enable-mingw-prefix or --disable-mingw-prefix was given.
+if test "${enable_mingw_prefix+set}" = set; then
+  enableval="$enable_mingw_prefix"
+  MINGWPREFIX=$enableval
+else
+  MINGWPREFIX=no
+fi
+
+    
+# Check whether --enable-tex-prefix or --disable-tex-prefix was given.
+if test "${enable_tex_prefix+set}" = set; then
+  enableval="$enable_tex_prefix"
   TEXPREFIX=$enableval
 else
   TEXPREFIX=auto 
 fi
 
-   
+    
+# Check whether --enable-tex-dir or --disable-tex-dir was given.
+if test "${enable_tex_dir+set}" = set; then
+  enableval="$enable_tex_dir"
+  TEXDIR=$enableval
+else
+  TEXDIR=auto 
+fi
+
+
+# Check whether --enable-mf-dir or --disable-mf-dir was given.
+if test "${enable_mf_dir+set}" = set; then
+  enableval="$enable_mf_dir"
+  MFDIR=$enableval
+else
+  MFDIR=auto 
+fi
+
+
 if test $profile_b = yes; then
     EXTRA_LIBES="-pg"
     DEFINES="$DEFINES -pg"
@@ -609,17 +641,26 @@ if test $checking_b = no; then
     DEFINES="$DEFINES -DNDEBUG=1"
 fi
 
+# however, C++ support in mingw32 v 0.1.4 is still flaky
+if test x$MINGWPREFIX != xno; then 
+    ICFLAGS="-I$MINGWPREFIX/include"
+    ILDFLAGS="-$MINGWPREFIX/lib"
+fi
+
 if test $optimise_b = yes; then
     DEFINES="$DEFINES -O2 -DSTRING_UTILS_INLINED"
 fi
+
 AUTOHEADER="This file was automatically generated by configure"
+CPPFLAGS=${CPPFLAGS:-""}       # we don't want -g -O junk
 CXXFLAGS=${CXXFLAGS:-""}       # we don't want -g -O junk
+
 for ac_prog in $CCC c++ g++ gcc CC cxx cc++
 do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:623: checking for $ac_word" >&5
+echo "configure:664: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -650,7 +691,7 @@ test -n "$CXX" || CXX="gcc"
 
 
 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:654: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
+echo "configure:695: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
 
 ac_ext=C
 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -660,11 +701,11 @@ ac_link='${CXX-g++} -o conftest $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $L
 cross_compiling=$ac_cv_prog_cxx_cross
 
 cat > conftest.$ac_ext <<EOF
-#line 664 "configure"
+#line 705 "configure"
 #include "confdefs.h"
 main(){return(0);}
 EOF
-if { (eval echo configure:668: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
+if { (eval echo configure:709: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
   ac_cv_prog_cxx_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -684,12 +725,12 @@ if test $ac_cv_prog_cxx_works = no; then
   { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:688: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:729: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
 cross_compiling=$ac_cv_prog_cxx_cross
 
 echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
-echo "configure:693: checking whether we are using GNU C++" >&5
+echo "configure:734: checking whether we are using GNU C++" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -698,7 +739,7 @@ else
   yes;
 #endif
 EOF
-if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:702: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:743: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gxx=yes
 else
   ac_cv_prog_gxx=no
@@ -713,7 +754,7 @@ if test $ac_cv_prog_gxx = yes; then
   ac_save_CXXFLAGS="$CXXFLAGS"
   CXXFLAGS=
   echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
-echo "configure:717: checking whether ${CXX-g++} accepts -g" >&5
+echo "configure:758: checking whether ${CXX-g++} accepts -g" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -743,7 +784,7 @@ fi
 # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:747: checking for $ac_word" >&5
+echo "configure:788: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -799,7 +840,7 @@ ac_configure=$ac_aux_dir/configure # This should be Cygnus configure.
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:803: checking for a BSD compatible install" >&5
+echo "configure:844: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
 if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -848,12 +889,46 @@ test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
 
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
+for ac_prog in tar
+do
+# Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:898: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_prog_TAR'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  if test -n "$TAR"; then
+  ac_cv_prog_TAR="$TAR" # Let the user override the test.
+else
+  IFS="${IFS=  }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
+  for ac_dir in $PATH; do
+    test -z "$ac_dir" && ac_dir=.
+    if test -f $ac_dir/$ac_word; then
+      ac_cv_prog_TAR="$ac_prog"
+      break
+    fi
+  done
+  IFS="$ac_save_ifs"
+fi
+fi
+TAR="$ac_cv_prog_TAR"
+if test -n "$TAR"; then
+  echo "$ac_t""$TAR" 1>&6
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+test -n "$TAR" && break
+done
+test -n "$TAR" || TAR="error"
+
 for ac_prog in find
 do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:857: checking for $ac_word" >&5
+echo "configure:932: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_FIND'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -884,8 +959,8 @@ test -n "$FIND" || FIND="error"
 
 
 if test FIND = error; then
-   echo "configure: warning: Couldn't find \`find'.  Please use --enable-texprefix" 1>&2
-else 
+   echo "configure: warning: Couldn't find \`find'.  Please use --enable-tex-dir" 1>&2
+fi
     
 
 
@@ -895,12 +970,19 @@ else
 
 
 
+
+
+
+
+
+
+
 for ac_prog in bison
 do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:904: checking for $ac_word" >&5
+echo "configure:986: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_BISON'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -934,7 +1016,7 @@ do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:938: checking for $ac_word" >&5
+echo "configure:1020: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_FLEX'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -968,7 +1050,7 @@ do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:972: checking for $ac_word" >&5
+echo "configure:1054: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_MAKE'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1002,7 +1084,7 @@ do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1006: checking for $ac_word" >&5
+echo "configure:1088: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_PODMAN'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1032,55 +1114,108 @@ done
 test -n "$PODMAN" || PODMAN="error"
 
 
-if test $TEXPREFIX = auto ; then
+    
+if test "x$TEXPREFIX" = xauto ; then
+    
     
 
-    # do something sensible if root hasn't specced dir yet attempts install
-
-    echo $ac_n "checking TeX installation directory""... $ac_c" 1>&6
-echo "configure:1042: checking TeX installation directory" >&5
+    echo $ac_n "checking TeX/MF root dir directory""... $ac_c" 1>&6
+echo "configure:1124: checking TeX/MF root dir directory" >&5    
 
-    ac_tmp_prefix=$prefix
-    test "x$ac_tmp_prefix" = xNONE && ac_tmp_prefix=$ac_default_prefix
+    find_root_prefix="$prefix"
+    
 
-    for texdir in $ac_tmp_prefix $ac_tmp_prefix/lib; do
-       if test -d $texdir/texmf; then
-           TEXTOP=$texdir/texmf
-           break
-       else    
-       if test -d $texdir/tex; then 
-           TEXTOP=$texdir/tex
-           break
-       fi
+    test "x$find_root_prefix" = xNONE && find_root_prefix="$ac_default_prefix"
+    find_texpostfix="";
+    for postfix in "/lib/tex/" "/lib/texmf" "/lib" "/tex" "/texmf"; do
+       find_texprefix="$find_root_prefix$postfix"
+       if test -d $find_texprefix; then
+           find_texpostfix=$postfix
+           break;
        fi
     done
-    TEXPREFIX=$ac_tmp_prefix/lib/texmf/tex
-    if test x = "x$TEXTOP"; then
-       echo "configure: warning: Cannot determine a tex-directory. Please use --enable-texprefix" 1>&2
-    else
-       TEXPREFIX=`$FIND $TEXTOP -type d -a -name tex -print |sort|head -1`
+    
+    if test "x$find_texpostfix" = x; then
+       find_texpostfix='/lib/texmf/tex'
+       echo "configure: warning: Cannot determine the TeX-directory. Please use --enable-tex-prefix" 1>&2
+    fi
+
+    find_texprefix="$find_root_prefix/$find_texpostfix"
+
+    # only assign if variablename not empty
+    if test x != "xTEXPREFIX"; then
+       TEXPREFIX='${prefix}'/"$find_texpostfix"
     fi
+    echo "$ac_t""$find_texprefix" 1>&6
+
+
+else
+ find_texprefix=$TEXPREFIX
+fi
+    
+if test "x$TEXDIR" = xauto ; then
+    
+    
+    
+    echo $ac_n "checking TeX input directory""... $ac_c" 1>&6
+echo "configure:1162: checking TeX input directory" >&5    
+    find_dirdir=`(cd $find_texprefix; 
+      $FIND ./ -type d -a -name tex -print |sort|head -1|sed 's#^\./##')`
+    
+
+    if test "x$find_dirdir" = x; then
+       find_dirdir="/tex";
+       echo "configure: warning: Cannot determine TeX input subdirectory. Please set from command-line" 1>&2
+       true
     fi
+    TEXDIR=$find_dirdir
+    echo "$ac_t""$find_texprefix/$find_dirdir" 1>&6
 
-    echo "$ac_t""$TEXPREFIX" 1>&6
+    TEXDIR="$TEXPREFIX/$TEXDIR"
 
 fi
 
+if test "x$MFDIR" = xauto; then
+    
+    
+    
+    echo $ac_n "checking MF input directory""... $ac_c" 1>&6
+echo "configure:1184: checking MF input directory" >&5    
+    find_dirdir=`(cd $find_texprefix; 
+      $FIND ./ -type d -a -name source -print |sort|head -1|sed 's#^\./##')`
+    
+
+    if test "x$find_dirdir" = x; then
+       find_dirdir="/source";
+       echo "configure: warning: Cannot determine MF input subdirectory. Please set from command-line" 1>&2
+       true
+    fi
+    MFDIR=$find_dirdir
+    echo "$ac_t""$find_texprefix/$find_dirdir" 1>&6
+
+    MFDIR="$TEXPREFIX/$MFDIR"
+
+fi
+    
 if test $MAKE = "error" 
 then
        { echo "configure: error: Please install GNU make" 1>&2; exit 1; }
 else
-       $MAKE -v| grep GNU >& /dev/null
+       $MAKE -v| grep GNU > /dev/null
        if test "$?" = 1
        then
-               echo "configure: warning: Please install *GNU* make" 1>&2
-       fi
-fi
-
-
+           echo "configure: warning: Please install *GNU* make" 1>&2 
+    fi 
+fi 
+    
 if test $BISON = "error" 
 then
-       echo "configure: warning: can't find bison. Please install Bison (1.24 or better)" 1>&2
+       echo "configure: warning: can't find bison. Please install Bison (1.25 or better)" 1>&2
+else
+    bison_version=`$BISON --version| sed 's/^.*version 1.//g' `
+    if test $bison_version -lt 25; then
+       echo "configure: warning: Your bison is too old (1.$bison_version). Please install 1.25" 1>&2
+    fi 
 fi
 
 if test $PODMAN = "error" 
@@ -1093,7 +1228,7 @@ then
        echo "configure: warning: can't find flex. Please install Flex (2.5 or better)" 1>&2
 fi
 
-if $CXX --version | grep '2\.7' >& /dev/null
+if $CXX --version | grep '2\.7' > /dev/null
 then
        true
 else
@@ -1101,7 +1236,7 @@ else
 fi
 
 echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
-echo "configure:1105: checking how to run the C++ preprocessor" >&5
+echo "configure:1240: checking how to run the C++ preprocessor" >&5
 if test -z "$CXXCPP"; then
 if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1114,12 +1249,12 @@ ac_link='${CXX-g++} -o conftest $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $L
 cross_compiling=$ac_cv_prog_cxx_cross
   CXXCPP="${CXX-g++} -E"
   cat > conftest.$ac_ext <<EOF
-#line 1118 "configure"
+#line 1253 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1123: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1258: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out`
 if test -z "$ac_err"; then
   :
@@ -1139,17 +1274,17 @@ echo "$ac_t""$CXXCPP" 1>&6
 
 ac_safe=`echo "FlexLexer.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for FlexLexer.h""... $ac_c" 1>&6
-echo "configure:1143: checking for FlexLexer.h" >&5
+echo "configure:1278: checking for FlexLexer.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1148 "configure"
+#line 1283 "configure"
 #include "confdefs.h"
 #include <FlexLexer.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1153: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1288: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -1286,9 +1421,7 @@ done
 ac_given_srcdir=$srcdir
 ac_given_INSTALL="$INSTALL"
 
-trap 'rm -fr `echo "make/out/Configure_variables.make:make/Configure_variables.make.in
-    Makefile:make/Toplevel.make.in
-    " | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
+trap 'rm -fr `echo "make/out/Configure_variables.make:make/Configure_variables.make.in" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
 EOF
 cat >> $CONFIG_STATUS <<EOF
 
@@ -1322,13 +1455,18 @@ s%@CXX@%$CXX%g
 s%@RANLIB@%$RANLIB%g
 s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
 s%@INSTALL_DATA@%$INSTALL_DATA%g
+s%@TAR@%$TAR%g
 s%@FIND@%$FIND%g
+s%@ICFLAGS@%$ICFLAGS%g
+s%@ILDFLAGS@%$ILDFLAGS%g
 s%@DEFINES@%$DEFINES%g
 s%@COMPILEINFO@%$COMPILEINFO%g
 s%@AUTOHEADER@%$AUTOHEADER%g
 s%@BISON@%$BISON%g
 s%@FLEX@%$FLEX%g
 s%@TEXPREFIX@%$TEXPREFIX%g
+s%@TEXDIR@%$TEXDIR%g
+s%@MFDIR@%$MFDIR%g
 s%@EXTRA_LIBES@%$EXTRA_LIBES%g
 s%@MAKE@%$MAKE%g
 s%@PODMAN@%$PODMAN%g
@@ -1375,9 +1513,7 @@ EOF
 
 cat >> $CONFIG_STATUS <<EOF
 
-CONFIG_FILES=\${CONFIG_FILES-"make/out/Configure_variables.make:make/Configure_variables.make.in
-    Makefile:make/Toplevel.make.in
-    "}
+CONFIG_FILES=\${CONFIG_FILES-"make/out/Configure_variables.make:make/Configure_variables.make.in"}
 EOF
 cat >> $CONFIG_STATUS <<\EOF
 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
@@ -1551,7 +1687,7 @@ fi
 eval "DIR_DATADIR=$datadir"
 DIR_DATADIR="$DIR_DATADIR/lilypond"
 echo $ac_n "checking ""... $ac_c" 1>&6
-echo "configure:1555: checking " >&5
+echo "configure:1691: checking " >&5
 
 cat << EOF > lib/out/config.hh
 
@@ -1562,27 +1698,28 @@ cat << EOF > lib/out/config.hh
 
 EOF
 
-CXX="$ac_cv_prog_CXX" bin/make_version >> lib/out/config.hh
+CXX="$ac_cv_prog_CXX" bin/make-version >> lib/out/config.hh
 
 touch make/out/Site.make
 
 # ugr
-(cd mi2mu; CXX="$ac_cv_prog_CXX" ../bin/make_version > out/version.hh
+(cd mi2mu; CXX="$ac_cv_prog_CXX" ../bin/make-version > out/version.hh
 )
 # rgu
 sed 's/TOPLEVEL_//g' <  .version >  lily/.version
-(cd lily; CXX="$ac_cv_prog_CXX" ../bin/make_version > out/version.hh
-)
- (cd flower;
+(cd lily; CXX="$ac_cv_prog_CXX" ../bin/make-version > out/version.hh
 )
 
-cat << END
-Finished configuring. For making everything, do:
+echo '# WARNING : Automatically generated from make/Toplevel.make.in' | cat -  make/Toplevel.make.in > Makefile
 
-       make all
+cat << END
+For making everything, do:
 
-If you only want help on the make targets, do a
+    make               # GNU make
 
-       make help
+If you want to make site-wide extensions to the makefiles, please use
 
+    make/out/Site.make
+    
 END
+